Subject: Re: bug#22120: Another backtrace

From: Eric Hanchrow <[email-masked]>
Date: Sun, 13 Dec 2015 18:07:43 +0000

I'm surprised that it is possible to cause a segfault from lisp.  Is that
an indication of a problem in the core C code, or is that just the way
things are?

On Sun, Dec 13, 2015 at 10:04 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Eric Hanchrow <[email-masked]>
> > Date: Sun, 13 Dec 2015 17:54:04 +0000
> > Cc: [email-masked]
> >
> >     Looks like another reincarnation of bug#21667.
> >
> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21667 appears to be
> unrelated to
> > this one. I suspect you made a typo.
>
> Sorry, I meant 21666.
>
> >     Can you modify lui-adjust-undo-list so that GC is inhibited (by
> >     binding gc-cons-threshold to most-positive-fixnum around the whole
> >     function)?
> >
> > OK, I've done that. If that works, it'll take days of use before I'm
> confident
> > that it did work (because the bug only appears once every few days); can
> you
> > think of some sort of debug message I can stick in there that can tell
> us that
> > you've correctly guessed the cause?
>
> No, I don't think it's possible, not during GC anyway.
>
> There's no hurry, so waiting for this to happen is fine.  Thanks.
>